package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ProductionOutputFirstPO;
import mhp.oee.po.gen.ProductionOutputFirstPOExample;

public interface ProductionOutputFirstPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int countByExample(ProductionOutputFirstPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int deleteByExample(ProductionOutputFirstPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int insert(ProductionOutputFirstPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int insertSelective(ProductionOutputFirstPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    List<ProductionOutputFirstPO> selectByExample(ProductionOutputFirstPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    ProductionOutputFirstPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ProductionOutputFirstPO record, @Param("example") ProductionOutputFirstPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ProductionOutputFirstPO record, @Param("example") ProductionOutputFirstPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ProductionOutputFirstPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_first
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ProductionOutputFirstPO record);
}